SIM CITY MSU-1 patch for US and FR v8
Patch by Conn & PepilloPeV
Date: May 7, 2020


Changelog US/FR:
v3	initial release, code rewritten
v4	fixed Spc fallback bug
v5	moved msu-1 code to a different ROM location
v6	code adjustments to fix random crashing on population reached screens
v7	final fix for population reached screens, was issue with nmi within nmi. Thanks Conn!
v8	fixed music pause/resume routine not working for both US and FR

--- ROM CHECKSUMS ---
US
CRC/SFV Checksum: 8AEDD3A1
MD5 Checksum: 23715fc7ef700b3999384d5be20f4db5

FRENCH
CRC/SFV Checksum: 5D026339
MD5 Checksum: 2f1c1a70f2268b4c37e2a095a9be0058


Steps:
-----
01 Extract and copy all the files into a folder of your choice

02 Use "crc.exe" to verify your clean SimCity US/FR ROM matches the correct checksum!

03 Rename your clean rom exactly to...
	a. for english, rename to "SimCityEnglish.sfc"
	b. for french, rename to "SimCityFrench.sfc"

04 Copy your correctly named clean ROM into the 'cleanRom' folder

05 You have two patch choices...
	a. SimCityMsu1-English.bps
		- this patch is meant for the English USA Ntsc version of SimCity!
	b. SimCityMsu1-French.bps
		- this patch is meant for the French Pal version of SimCity!

06 Once you made your patch choice, run its respective batch file
	a. doEnglishPatch.bat
		- for USA Ntsc ROM!
	b. doFrenchPatch.bat
		- for French Pal ROM!

07 If done correctly, you will get a patched rom with the following names in the 'patchedRom' folder
	a. scityUs-msu1.sfc
		- this is the output name for the patched English Msu-1 rom!
	b. scityFr-msu1.sfc
		- this is the output name for the patched French Msu-1 rom!

08 Take great care of ensuring a correct naming scheme for your game...
	- for example...for US rom, do...
		simcityus-msu1.sfc
		simcityus-msu1.msu
		simcityus-msu1-x.pcm ; where x is track number


Notes: I noticed in the original French version of Sim City ROM that there is a slight GFX corruption
with the Professor on initial welcome screen. If anyone can fine a different French ROM that does not exhibit this bevaior, let me know. Just letting everyone know that this is not MSU-1 patch related. Send me a PM over at zeldix.net if a suitable French ROM is found.